GNU bug report logs - #9795
Disabling fortran (what's it for?)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Ryan Schmidt <libtool-2011d@HIDDEN>; dated Wed, 19 Oct 2011 06:50:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 9795 <at> debbugs.gnu.org:


Received: (at 9795) by debbugs.gnu.org; 21 Oct 2011 16:36:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 12:36:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RHI59-0002qz-PI
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2011 12:36:34 -0400
Received: from pogma.xen.prgmr.com ([68.68.97.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <peter@HIDDEN>) id 1RHI54-0002qn-QG
	for 9795 <at> debbugs.gnu.org; Fri, 21 Oct 2011 12:36:29 -0400
Received: from [10.8.0.6] (unknown [10.8.0.6])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by pogma.xen.prgmr.com (Postfix) with ESMTP id F1D3EBF611;
	Fri, 21 Oct 2011 16:35:09 +0000 (UTC)
X-DKIM: Sendmail DKIM Filter v2.8.3 pogma.xen.prgmr.com F1D3EBF611
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pogma.com; s=pogmail;
	t=1319214910; bh=ynHli0CUgb9RA0mqT8gmOPIfX8sdQYmUHgvO3unIdKA=;
	h=Message-ID:Date:From:MIME-Version:To:CC:Subject:References:
	In-Reply-To:Content-Type:Content-Transfer-Encoding;
	b=Bk3H/hdofKahinw6LyOiRgWltZbTX0I4Sdh56LhNDAIa3MRCw1XmLNgHwA1eT4u1a
	I7nQeVUsThW6zRY+OJeytD6uUDSXFyLe7TR0F8fH3OuUyNOWlKlYeu+KYXGseqzS0b
	MIXecoV8arX7QUMrTL38iWIFUlpp+XOCj6+RSL28=
Message-ID: <4EA19F3D.7090802@HIDDEN>
Date: Fri, 21 Oct 2011 11:35:09 -0500
From: Peter O'Gorman <peter@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.22) Gecko/20110906 Fedora/3.1.14-1.fc14 Thunderbird/3.1.14
MIME-Version: 1.0
To: Ryan Schmidt <libtool-2011d@HIDDEN>
Subject: Re: bug#9795: Disabling fortran (what's it for?)
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>	<20111019191705.156890@HIDDEN>	<7D7C4570-CFF7-4BB4-B867-B279862B02EE@HIDDEN>
	<4EA0C10C.3020101@HIDDEN>
In-Reply-To: <4EA0C10C.3020101@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 9795
Cc: 9795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On 10/20/2011 07:47 PM, Peter O'Gorman wrote:

>
> I think that because the installed fortran compiler is somehow broken
> libtool detects that the compiler can not create shared libraries.
> Fortran being tested last must overwrite the varaibles that were set for
> the C and C++ compiler - so libtool does not create any shared libraries
> at all. I'll look into it.

The "can_build_shared" shell variable is not tagged (not one var per 
compiler), so even though the C and C++ compilers would work, any broken 
compiler that comes later in the tests will cause libtool to not build 
shared libraries.

The code in question is a bit of a mess and may take a little sorting out.

In the meantime, if you build libtool with

configure F77=no FC=no; make

then it should disable the fortran tag. The installed libtool script 
then will not be able to build fortran code, but the use of the 
installed build script to build packages is not encouraged anyway.

Your users with broken fortran compilers will continue to see brokenness 
building other packages, since most autotools based build systems embed 
some version of libtool.

Peter




Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at 9795 <at> debbugs.gnu.org:


Received: (at 9795) by debbugs.gnu.org; 21 Oct 2011 00:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 20:48:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RH3Hd-0003SF-LX
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2011 20:48:26 -0400
Received: from pogma.xen.prgmr.com ([68.68.97.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <peter@HIDDEN>) id 1RH3Ha-0003S5-My
	for 9795 <at> debbugs.gnu.org; Thu, 20 Oct 2011 20:48:24 -0400
Received: from [192.168.209.185] (unknown [198.163.7.151])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by pogma.xen.prgmr.com (Postfix) with ESMTP id 7C81CBF611;
	Fri, 21 Oct 2011 00:47:09 +0000 (UTC)
X-DKIM: Sendmail DKIM Filter v2.8.3 pogma.xen.prgmr.com 7C81CBF611
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pogma.com; s=pogmail;
	t=1319158029; bh=AOd3WCs+N1Vr4Kxsb+cw/wcY56xa6td64lz9Pf6UlrA=;
	h=Message-ID:Date:From:MIME-Version:To:CC:Subject:References:
	In-Reply-To:Content-Type:Content-Transfer-Encoding;
	b=1dnKu/ms2V4TIW1dqAvfklFg5vhFhXPax+mcO1c5ERcbRdf0Z04bNasJxBuW3TTkE
	BDRXaA5PW+px+OU5ACmcjgf9Giyy8fG60O2n/E0mfQN+HPQI4bSxAknyhM5qD1jOFO
	LRYwEHCu/vJkrHh/BU6etMjQsl2Wl8FIxsT9JxpA=
Message-ID: <4EA0C10C.3020101@HIDDEN>
Date: Thu, 20 Oct 2011 19:47:08 -0500
From: Peter O'Gorman <peter@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:6.0.2) Gecko/20110906 Thunderbird/6.0.2
MIME-Version: 1.0
To: Ryan Schmidt <libtool-2011d@HIDDEN>
Subject: Re: bug#9795: Disabling fortran (what's it for?)
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
	<20111019191705.156890@HIDDEN>
	<7D7C4570-CFF7-4BB4-B867-B279862B02EE@HIDDEN>
In-Reply-To: <7D7C4570-CFF7-4BB4-B867-B279862B02EE@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 9795
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>, 9795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

On 10/19/2011 05:21 PM, Ryan Schmidt wrote:
>
> On Oct 19, 2011, at 14:17, Ralf Wildenhues wrote:
>
>> This is libtool<  2.0, right?
>>
>> Please update.  We've fixed this years ago.
>
>
> Oh no, this is with current versions. The ticket URLs I provided show the problem with libtool 2.2.6b:
>
> https://trac.macports.org/ticket/23684
>
> And 2.4:
>
> https://trac.macports.org/ticket/30105

I think that because the installed fortran compiler is somehow broken 
libtool detects that the compiler can not create shared libraries. 
Fortran being tested last must overwrite the varaibles that were set for 
the C and C++ compiler - so libtool does not create any shared libraries 
at all. I'll look into it.

Thanks,
Peter




Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at 9795 <at> debbugs.gnu.org:


Received: (at 9795) by debbugs.gnu.org; 19 Oct 2011 22:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 18:23:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGeXq-0005rM-Vs
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 18:23:31 -0400
Received: from smtprelay05.ispgateway.de ([80.67.31.93])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGeXo-0005rE-AK
	for 9795 <at> debbugs.gnu.org; Wed, 19 Oct 2011 18:23:29 -0400
Received: from [70.253.84.73] (helo=[192.168.7.80])
	by smtprelay05.ispgateway.de with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.68) (envelope-from <libtool-2011d@HIDDEN>)
	id 1RGeWi-0001QR-AL; Thu, 20 Oct 2011 00:22:22 +0200
Subject: Re: bug#9795: Disabling fortran (what's it for?)
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: Ryan Schmidt <libtool-2011d@HIDDEN>
X-Priority: 3
In-Reply-To: <20111019191705.156890@HIDDEN>
Date: Wed, 19 Oct 2011 17:21:59 -0500
Content-Transfer-Encoding: quoted-printable
Message-Id: <7D7C4570-CFF7-4BB4-B867-B279862B02EE@HIDDEN>
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
	<20111019191705.156890@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Df-Sender: MzY4ODE4
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9795
Cc: 9795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)


On Oct 19, 2011, at 14:17, Ralf Wildenhues wrote:

> This is libtool < 2.0, right?
>=20
> Please update.  We've fixed this years ago.


Oh no, this is with current versions. The ticket URLs I provided show =
the problem with libtool 2.2.6b:

https://trac.macports.org/ticket/23684

And 2.4:

https://trac.macports.org/ticket/30105

And I experienced the problem when trying to update to 2.4.2, which is =
what prompted me to file this report and try to resolve the issue once =
and for all.






Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at 9795 <at> debbugs.gnu.org:


Received: (at 9795) by debbugs.gnu.org; 19 Oct 2011 19:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 15:18:20 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGbed-0001it-Ou
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 15:18:20 -0400
Received: from mailout-de.gmx.net ([213.165.64.23])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1RGbeb-0001if-4S
	for 9795 <at> debbugs.gnu.org; Wed, 19 Oct 2011 15:18:18 -0400
Received: (qmail 21799 invoked by uid 0); 19 Oct 2011 19:17:05 -0000
Received: from 74.125.122.49 by www002.gmx.net with HTTP;
	Wed, 19 Oct 2011 21:17:05 +0200 (CEST)
Content-Transfer-Encoding: 8bit
Content-Type: text/plain; charset="utf-8"
Date: Wed, 19 Oct 2011 21:17:05 +0200
From: "Ralf Wildenhues" <Ralf.Wildenhues@HIDDEN>
In-Reply-To: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
Message-ID: <20111019191705.156890@HIDDEN>
MIME-Version: 1.0
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
Status: RO
Subject: Re: bug#9795: Disabling fortran (what's it for?)
To: Ryan Schmidt <libtool-2011d@HIDDEN>
X-Authenticated: #13673931
X-Flags: 0001
X-Mailer: WWW-Mail 6100 (Global Message Exchange)
X-Mutt-Fcc: ~/Mail/outbox
X-Mutt-References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
X-Priority: 3
X-Provags-ID: V01U2FsdGVkX1+Q0CoRhFCQTDcEmkzsXRVcC6UrW+bRZrGULcTGS1
	htHuG7WRxiwDxQcZN4BNaUKv6RQQHEsWzxOQ== 
X-GMX-UID: X0/9Gg4dbXB+Yq7X4jQ28PciLyUmZcjp
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9795
Cc: 9795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Hello Ryan,

* Ryan Schmidt wrote on Wed, Oct 19, 2011 at 08:24:41AM CEST:
> Hello, I'm writing on behalf of the MacPorts project. In MacPorts, many users (some of the tickets are listed below) have experienced a problem building libtool, where the shared library libltdl.dylib doesn't get built. It took awhile to identify that this was the problem, because the failure was silent; the libtool port seemed to install successfully, but did not contain libltdl.dylib, which caused various problems for other software down the road. Once we added a check to the libtool port to prevent the installation from completing if libltdl.dylib didn't get built, we were able to work out that the common thread was the presence of a fortran compiler. Some users had a fortran compiler installed at /usr/bin/gfortran; others had /usr/bin/g77 or /bin/f77. While we find it an error for any 3rd-party package to have installed files in those locations, since those are system directories, we nevertheless have the situation that these packages do exist, so we have to deal with them.

This is libtool < 2.0, right?

Please update.  We've fixed this years ago.

Thanks,
Ralf




Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Oct 2011 14:05:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 10:05:14 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGWle-0002Lr-LW
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:05:14 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWld-0002Lf-0o
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:05:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWkN-00010f-Qk
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:04:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:51300)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWkN-00010b-PH
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:03:55 -0400
Received: from eggs.gnu.org ([140.186.70.92]:42297)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWkI-0006RF-09
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 10:03:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWkC-0000gu-3r
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 10:03:49 -0400
Received: from blade.simplesystems.org ([65.66.246.74]:34286)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWkB-0000Xy-Tn
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 10:03:44 -0400
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	p9JE3Rgn027247; Wed, 19 Oct 2011 09:03:27 -0500 (CDT)
Date: Wed, 19 Oct 2011 09:03:27 -0500 (CDT)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Ryan Schmidt <libtool-2011d@HIDDEN>
Subject: Re: bug#9795: Disabling fortran (what's it for?)
In-Reply-To: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
Message-ID: <alpine.GSO.2.01.1110190902110.4501@HIDDEN>
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Wed, 19 Oct 2011 09:03:28 -0500 (CDT)
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (beta)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.8 (-----)
X-Debbugs-Envelope-To: submit
Cc: 9795 <at> debbugs.gnu.org, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

On Wed, 19 Oct 2011, Ryan Schmidt wrote:
>
> * For what reason is libtool looking for a fortran compiler at all? What does it use it for?

Libtool supports building and linking Fortran code so it tests the 
Fortran compiler.  The libltdl library should *not* be dependent on 
Fortran in any way.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at 9795 <at> debbugs.gnu.org:


Received: (at 9795) by debbugs.gnu.org; 19 Oct 2011 14:04:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 10:04:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGWl5-0002Kk-UA
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:04:40 -0400
Received: from blade.simplesystems.org ([65.66.246.74])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bfriesen@HIDDEN>) id 1RGWl3-0002KW-1H
	for 9795 <at> debbugs.gnu.org; Wed, 19 Oct 2011 10:04:38 -0400
Received: from freddy.simplesystems.org (freddy.simplesystems.org
	[65.66.246.65])
	by blade.simplesystems.org (8.14.4+Sun/8.14.4) with ESMTP id
	p9JE3Rgn027247; Wed, 19 Oct 2011 09:03:27 -0500 (CDT)
Date: Wed, 19 Oct 2011 09:03:27 -0500 (CDT)
From: Bob Friesenhahn <bfriesen@HIDDEN>
X-X-Sender: bfriesen@HIDDEN
To: Ryan Schmidt <libtool-2011d@HIDDEN>
Subject: Re: bug#9795: Disabling fortran (what's it for?)
In-Reply-To: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
Message-ID: <alpine.GSO.2.01.1110190902110.4501@HIDDEN>
References: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
User-Agent: Alpine 2.01 (GSO 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.2.2
	(blade.simplesystems.org [65.66.246.90]);
	Wed, 19 Oct 2011 09:03:28 -0500 (CDT)
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: 9795
Cc: 9795 <at> debbugs.gnu.org, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

On Wed, 19 Oct 2011, Ryan Schmidt wrote:
>
> * For what reason is libtool looking for a fortran compiler at all? What does it use it for?

Libtool supports building and linking Fortran code so it tests the 
Fortran compiler.  The libltdl library should *not* be dependent on 
Fortran in any way.

Bob
-- 
Bob Friesenhahn
bfriesen@HIDDEN, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/




Information forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Oct 2011 06:49:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 02:49:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RGPxs-000635-FE
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 02:49:25 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPbG-0005TY-O0
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 02:26:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPaB-0001iO-7n
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 02:24:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:41252)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPaB-0001iK-6F
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2011 02:24:55 -0400
Received: from eggs.gnu.org ([140.186.70.92]:33627)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPaA-0003Lq-4w
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 02:24:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPa8-0001hr-Fj
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 02:24:53 -0400
Received: from smtprelay04.ispgateway.de ([80.67.31.38]:50158)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <libtool-2011d@HIDDEN>) id 1RGPa8-0001hk-7P
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 02:24:52 -0400
Received: from [66.90.155.188] (helo=[192.168.1.99])
	by smtprelay04.ispgateway.de with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.68) (envelope-from <libtool-2011d@HIDDEN>)
	id 1RGPa4-00015B-8q
	for bug-libtool@HIDDEN; Wed, 19 Oct 2011 08:24:48 +0200
From: Ryan Schmidt <libtool-2011d@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: Disabling fortran (what's it for?)
Date: Wed, 19 Oct 2011 01:24:41 -0500
Message-Id: <BC0828E4-2A54-4137-B1CD-3EF3F84DCD16@HIDDEN>
To: bug-libtool@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1084)
X-Mailer: Apple Mail (2.1084)
X-Df-Sender: MzY4ODE4
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 19 Oct 2011 02:49:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Hello, I'm writing on behalf of the MacPorts project. In MacPorts, many =
users (some of the tickets are listed below) have experienced a problem =
building libtool, where the shared library libltdl.dylib doesn't get =
built. It took awhile to identify that this was the problem, because the =
failure was silent; the libtool port seemed to install successfully, but =
did not contain libltdl.dylib, which caused various problems for other =
software down the road. Once we added a check to the libtool port to =
prevent the installation from completing if libltdl.dylib didn't get =
built, we were able to work out that the common thread was the presence =
of a fortran compiler. Some users had a fortran compiler installed at =
/usr/bin/gfortran; others had /usr/bin/g77 or /bin/f77. While we find it =
an error for any 3rd-party package to have installed files in those =
locations, since those are system directories, we nevertheless have the =
situation that these packages do exist, so we have to deal with them.

I'm also able to reproduce the problem by just creating a script called =
"gfortran" somewhere in the path that does nothing more than exit 1.

So the questions are:

* How do we prevent libtool from attempting to use gfortran, g77, f77, =
or any other fortran compiler, even if it's installed?

* For what reason is libtool looking for a fortran compiler at all? What =
does it use it for?

Thanks.


https://trac.macports.org/ticket/23684
https://trac.macports.org/ticket/25417
https://trac.macports.org/ticket/26908
https://trac.macports.org/ticket/30018
https://trac.macports.org/ticket/30037
https://trac.macports.org/ticket/30043
https://trac.macports.org/ticket/30105
https://trac.macports.org/ticket/30395






Acknowledgement sent to Ryan Schmidt <libtool-2011d@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#9795; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.